%global momorel 1
%global __perl_requires %{_tmppath}/%{name}-%{version}.requires

Summary:	DBIx-Class module for perl 
Name:		perl-DBIx-Class
Version:	0.08107
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/DBIx/DBIx-Class-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/DBIx/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.1
BuildRequires:	perl-DBD-SQLite
BuildRequires:	perl-SQL-Abstract >= 1.56
BuildRequires:	perl-SQL-Abstract-Limit >= 0.13
BuildRequires:	perl-Module-Find
BuildRequires:	perl-Class-C3
BuildRequires:	perl-Class-Data-Accessor
BuildRequires:	perl-Class-C3-Componentised >= 1.0005
BuildRequires:	perl-Data-Page
BuildRequires:	perl-Class-Accessor-Grouped
BuildRequires:	perl-Scope-Guard
BuildRequires:	perl-JSON-Any
BuildRequires:	perl-Test-Deep
BuildRequires:	perl-MooseX-AttributeHelpers
Requires:	perl-Class-Trigger
Requires:	perl-DBD-Pg
Requires:	perl-DBIx-ContextualFetch
Requires:	perl-JSON
Requires:       perl-SQL-Abstract >= 1.56
Requires:	perl-SQL-Translator
Requires:	perl-MooseX-AttributeHelpers

%description
DBIx-Class module for perl

%prep
%setup -q -n DBIx-Class-%{version} 

%build
export CFLAGS="%{optflags}" 
echo 'yes' | perl Makefile.PL INSTALLDIRS=vendor
make
#make test

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
find %{buildroot} -type f -name '*.bs' -a -empty -delete || :
find %{buildroot} -depth -type d -a -empty -delete || :
%{__chmod} -R u+w,go-w %{buildroot}/*

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > DBIx-Class-%{version}-filelist
if [ "$(cat DBIx-Class-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# custom requires script
%{__cat} <<EOF > %{__perl_requires}
#!/bin/sh
%{__cat} - | %{__grep} -v %{_docdir} | /usr/lib/rpm/perl.req $* \
        | %{__grep} -v 'perl(Win32' \
        | %{__grep} -v 'perl(UUID' \
        | %{__grep} -v 'perl(SQL::Translator' \
        | %{__grep} -v 'perl(Module::Find' \
        | %{__grep} -v 'perl(File::Find::Rule' \
        | %{__grep} -v 'perl(Data::UUID' \
        | %{__grep} -v 'perl(Data::Uniqid' \
        | %{__grep} -v 'perl(DBIx::ContextualFetch' \
        | %{__grep} -v 'perl(DBIx::Class::ClassResolver' \
        | %{__grep} -v 'perl(DBD::SQLite' \
        | %{__grep} -v 'perl(DBD::Oracle' \
        | %{__grep} -v 'perl(Class::Trigger' \
        | %{__grep} -v 'perl(Class::Inspector' \
        | %{__grep} -v 'perl(APR' \
	| %{__grep} -v 'perl(DBIx::Class::Storage::TxnScopeGuard' \
	| %{__grep} -v 'perl(DBIx::Class::CDBICompat::Relationship' \
	| %{__grep} -v 'perl(DBIx::Class::Storage::DBI::Replicated::Types' \

EOF
%{__chmod} 700 %{__perl_requires}

%clean
rm -rf %{buildroot}
%{__rm} -f %{__perl_requires}

%files -f DBIx-Class-%{version}-filelist
%defattr(-,root,root)
%doc Changes

%changelog
* Sun Jun 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8107-1m)
- update to 0.8107

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8106-1m)
- update to 0.8106

* Wed May  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8102-2m)
- BuildRequires: perl-Class-C3-Componentised >= 1.0005

* Tue May  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8102-1m)
- update to 0.8102

* Sat Feb 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.08012-2m)
- modify %%build
- BuildRequires: perl-SQL-Abstract-Limit >= 0.13

* Sat Feb 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08012-1m)
- update to 0.08012

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.08010-2m)
- rebuild against rpm-4.6

* Sat Apr 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08010-1m)
- update to 0.08010

* Wed Apr  9 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.08009-3m)
- add BuildRequires:

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.08009-2m)
- rebuild against gcc43

* Sun Mar  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08009-1m)
- update to 0.08009

* Mon Jul  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07006-3m)
- rool back to 0.07006

* Sat Jul  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08002-1m)
- update to 0.08002
- modify BuildRequires and Requires

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07006-2m)
- use vendor

* Fri Apr 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07006-1m)
- update to 0.07006

* Sat Jan 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07005-1m)
- update to 0.07005

* Thu Jan 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07004-1m)
- update to 0.07004

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.07003-1m)
- update to 0.07003

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.07002-1m)
- spec file was autogenerated
